Skip to content


Subversion checkout URL

You can clone with
Download ZIP


"Bond has detected EditLine and may not work with it. See the README's Limitations section." #772

rking opened this Issue · 1 comment

3 participants


@robgleeson hates this and proposed something like:

Pry.bond_warnings = false

But I don't know the true status of that warning. Can someone on OS X with EditLine tell me if bond works or not?

That is, install the master branch pry, gem install bond, then try something like: {asdf:1}[:as<tab>

If that completes to :asdf, then at least some of bond is working.


The above example works for me on os x, though I have readline installed via homebrew.

@rf- rf- closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.